Image::ExifTool::NikonCustom(3)

NAME
Image::ExifTool::NikonCustom - Read and Write Nikon custom settings

SYNOPSIS
This module is loaded automatically by Image::ExifTool when required.

DESCRIPTION
The Nikon custom functions are very specific to the camera model (and sometimes even change with firmware version). The information is stored as unformatted binary data in the ShotInfo record of the Nikon MakerNotes. This module contains the definitions necessary for Image::ExifTool to decode this information.

AUTHOR
Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

ACKNOWLEDGEMENTS
Thanks to Jens Duttke and Warren Hatch for their help decoding the D300 and D3 custom settings. And thanks to the customer service personnel at Best Buy for not bugging me while I play with their cameras.

SEE ALSO
"Nikon Tags" in Image::ExifTool::TagNames, Image::ExifTool(3pm)